Package writer2latex.xhtml

# Class ParStyleConverter

java.lang.Object
writer2latex.xhtml.StyleConverterHelper
writer2latex.xhtml.StyleWithPropertiesConverterHelper
writer2latex.xhtml.ParStyleConverter

public class ParStyleConverter extends StyleWithPropertiesConverterHelper
This class converts OpenDocument paragraph styles to CSS2 styles for use in ordinary paragraphs. This also includes conversion of paragraph properties in other styles (heading styles, cell styles).

## Field Summary

### Fields inherited from class writer2latex.xhtml.StyleConverterHelper

`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`ParStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `ParStyleConverter`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)`
Convert formatting properties for a specific Par style.
`void`
`cssPageBreak(StyleWithProperties style, CSVList props, boolean bInherit)`
`void`
`cssPar(StyleWithProperties style, CSVList props, boolean bInherit)`
`String`
`getDefaultTagName(StyleWithProperties style)`
Create default tag name to represent a paragraph
`String`
`getRealParStyleName(String sStyleName)`
`OfficeStyleFamily`
`getStyles()`
Get the family of paragraph styles
`String`
`getTextBackground(String sStyleName)`

### Methods inherited from class writer2latex.xhtml.StyleWithPropertiesConverterHelper

`applyStyle, getClassNamePrefix, getStyleDeclarations`

### Methods inherited from class writer2latex.xhtml.StyleConverterHelper

`applyDirection, applyLang, colScale, scale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParStyleConverter

public ParStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)
Create a new `ParStyleConverter`

Parameters:
  `ofr` - an `OfficeReader` to read style information from
  `config` - the configuration to use
  `converter` - the main `Converter` class
  `nType` - the type of XHTML to use

## Method Details

### getStyles

public OfficeStyleFamily getStyles()
Get the family of paragraph styles

Specified by:
  `getStyles` in class `StyleConverterHelper`
Returns:
  the style family

### getDefaultTagName

public String getDefaultTagName(StyleWithProperties style)
Create default tag name to represent a paragraph

Specified by:
  `getDefaultTagName` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `style` - to use
Returns:
  the tag name.

### applyProperties

public void applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)
Convert formatting properties for a specific Par style.

Specified by:
  `applyProperties` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `style` - the style to convert
  `props` - the `CSVList` object to add information to
  `bInherit` - true if properties should be inherited from parent style(s)

### getTextBackground

public String getTextBackground(String sStyleName)

### getRealParStyleName

public String getRealParStyleName(String sStyleName)

### cssPageBreak

public void cssPageBreak(StyleWithProperties style, CSVList props, boolean bInherit)

### cssPar

public void cssPar(StyleWithProperties style, CSVList props, boolean bInherit)